%define sysconfdir	/etc
%define localstatedir	/var/lib
%define	gtkprefix	/usr

%define		preferdb	--enable-prefer-db1

Name:		gnome-libs
Version: 	1.2.4
Release: 11tc1
Epoch: 1
Summary:	Main GNOME libraries
Copyright:	LGPL
Distribution:	BlueSky
Group:		System Environment/Libraries
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.gz
URL:		http://www.gnome.org/
BuildRoot:	/%{_tmppath}/%{name}-root
Requires:	gtk+ >= 1.2.5
Requires:	ORBit
Requires:	imlib
Requires:	esound

# Red Hat patches
Patch:		RH-gnome-libs-rhsnddefs.patch
Patch2:		RH-gnome-libs-echok.patch
Patch3:         RH-gnome-terminal-escseqs.patch
Patch4:         gnome-libs-applix-mime.patch
Patch5:         gnome-libs-gtkrc.patch
Patch6:         gnome-libs-1.0.55-safeprop.patch
Patch7:         gnome-libs-1.2.4-setbgfix.patch
Patch8:         gnome-libs-1.2.4-grabfix.patch
Patch9:         gnome-libs-1.2.4-doubleclicks.patch
Patch10:        gnome-libs-1.2.4-motionnotify.patch
Patch11:        gnome-libs-1.2.4-scrolling.patch
Patch12:	gnome-libs-1.2.4-nosound.patch
Patch20: http://www.kr.freebsd.org/~hwang/patch/gnome-icon-item.c-preedit-diff

# Helix patches

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-libs package
includes libraries that are needed to run GNOME.

%package devel
Summary:	Libraries and headers for GNOME application development
Group:		Development/Libraries
Requires:	%name = %{version}
Requires:	gtk+-devel
Requires:	ORBit-devel
Requires:	imlib-devel
Requires:	esound-devel
Requires:	db1-devel

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-libs-devel package
includes the libraries and include files that you will need to develop
GNOME applications.

You should install the gnome-libs-devel package if you would like to
develop GNOME applications.  You don''t need to install gnome-libs-devel
if you just want to use the GNOME desktop environment.

%prep
%setup -q

%patch  -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1 -b .setbgfix
%patch8 -p1 -b .grabfix
%patch9 -p1 -b .doubleclicks
%patch10 -p1 -b .motionnotify
%patch11 -p1 -b .scrolling
%patch12 -p1 -b .nosound

# by CLE
%patch20

%build
# the gtkrc patch changes a Makefile.am
automake
%ifarch alpha
MYCFLAGS="-mieee"
%endif

CFLAGS="$RPM_OPT_FLAGS $MYCFLAGS" ./configure	\
	--prefix=%{_prefix} --sysconfdir=%{sysconfdir}	\
	--with-kde-datadir=/usr/share                \
	--localstatedir=%{localstatedir} \
	%{preferdb}

#i think we need a blank line above

make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} install

mv $RPM_BUILD_ROOT%{_prefix}/share/doc/gnome-doc $RPM_BUILD_ROOT%{_prefix}/bin
chmod a+x $RPM_BUILD_ROOT%{_prefix}/bin/gnome-doc
mv $RPM_BUILD_ROOT%{_prefix}/share/doc/mkstub $RPM_BUILD_ROOT%{_bindir}
chmod a+x $RPM_BUILD_ROOT%{_prefix}/bin/mkstub
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
mv $RPM_BUILD_ROOT%{_prefix}/share/doc/gnome-doc.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/lib/lib*.so.*
%{_prefix}/bin/dns-helper
%{_prefix}/bin/gconfigger
%{_prefix}/bin/gnome-bug
%{_prefix}/bin/gnome-dump-metadata
%{_prefix}/bin/gnome-gen-mimedb
%{_prefix}/bin/gnome-moz-remote
%{_prefix}/bin/gnome-name-service
%{_prefix}/bin/gnome_segv
%{_prefix}/bin/goad-browser
%{_prefix}/bin/loadshlib
%{_prefix}/bin/new-object
%attr(2755, root, utmp) %{_prefix}/sbin/gnome-pty-helper
%{_prefix}/share/locale/*/*/*
%{_prefix}/share/idl/*
%{_prefix}/share/pixmaps/*
%{_prefix}/share/mime-info/gnome.mime
%{_prefix}/share/type-convert/type.convert
%config %{sysconfdir}/*

%files devel
%defattr(-, root, root)

%{_prefix}/bin/gnome-config
%{_prefix}/bin/libart-config
%{_prefix}/bin/gnome-doc
%{_prefix}/bin/mkstub
%{_prefix}/lib/lib*.so
%{_prefix}/lib/*.a
%{_prefix}/lib/*.sh
%{_prefix}/lib/gnome-libs
%{_prefix}/include/*
%{_prefix}/share/aclocal/*
%{_prefix}/share/gnome/html
%{_prefix}/share/emacs/site-lisp/gnome-doc.el

%changelog
* Sun Dec 10 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- gnome-icon-item.c-preedit-diff

* Wed Aug 23 2000 Elliot Lee <sopwith@redhat.com>
- Fix the mismatch of default settings between control-center and
gnome-libs. I am the true survivor!

* Sat Aug 19 2000 Havoc Pennington <hp@redhat.com>
- Always use SCROLL_NEVER mode as if transparency was on, 
  even if transparency is not on. This fixes 14744 but makes
  scrolling slow. Best we can do, sigh.

* Sat Aug 19 2000 Havoc Pennington <hp@redhat.com>
- Call gdk_window_get_pointer on motion notify, fixes bug
  16407, though I don't quite understand why it does

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Aug 09 2000 Havoc Pennington <hp@redhat.com>
- Filter out double/triple clicks when doing scroll or paste

* Wed Aug 09 2000 Havoc Pennington <hp@redhat.com>
- fix for grabbing the pointer while selecting

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- fix for failure to change background color post-realization

* Fri Aug 04 2000 Owen Taylor <otaylor@redhat.com>
- Add a Requires db1-devel to the devel package. (Bug #15394)

* Thu Aug 03 2000 Owen Taylor <otaylor@redhat.com>
- Rebuild to see if we can fix funny gnome-config junk
  problem. 

* Tue Jul 19 2000 Havoc Pennington <hp@redhat.com>
- Rebuild; were getting weird segfaults with tearoff dock items,
  rebuilding with debugging made it go away, hoping it was 
  a compiler bug.

* Wed Jul 12 2000 Havoc Pennington <hp@redhat.com>
- 1.2.4
- remove IDL fix patch, seems to have gone upstream

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Move elisp files and executables out of /usr/share/doc
- Add HTML docs to file list
- remove broken %%doc mess

* Thu Jun 15 2000 Jonathan Blandford <jrb@redhat.com>
- added bug fix to fix idl miscompilation.

* Fri Jun  9 2000 Matt Wilson <msw@redhat.com>
- 1.2.1
- rebuilt with gcc that has fixed C ABI

* Tue May 30 2000 Matt Wilson <msw@redhat.com>
- prefer db1

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgrade to gnome-libs 1.0.62

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- keyboard mapping follows debian policy, xterm

* Tue Feb 15 2000 Owen Taylor <otaylor@redhat.com>
- Add checks to make sure gnome-terminal survives if the
  bg pixmap vanishes.

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Install gtkrc files in /etc/gnome

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Remove broken alpha timeval fix, fix bug in configure.in
  that was misdetecting ut_tv field of utmpx

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up escape sequences in zvt (Bug #9143)

* Fri Feb 04 2000 Elliot Lee <sopwith@redhat.com>
- Accept true/yes/non-zero as TRUE for gnome-config boolean values.

* Wed Feb 03 2000 Havoc Pennington <hp@redhat.com>
- set ECHOK for terminal widget, bug 8823

* Wed Feb 02 2000 Havoc Pennington <hp@redhat.com>
- include man pages in the file list, also bug 8017

* Wed Feb 02 2000 Havoc Pennington <hp@redhat.com>
- Fix an alpha warning bugzilla #8017

* Tue Feb 01 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.55

* Tue Aug 31 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.15

* Mon Aug 30 1999 Elliot Lee <sopwith@redhat.com>
- Merge in various minor things from RHL

* Mon Jun 14 1999 Gregory McLean <gregm@comstar.net>

- Added the -q option to the setup stage, quiet please!

* Tue Mar 2  1999 Gregory McLean <gregm@comstar.net>

- Added some hackage in for the brain dead libtool on the alpha
- Cleaned up the spec file abit to be more consistant.

* Wed Feb 17 1999 Elliot Lee <sopwith@redhat.com>

- Add debugging disabling flags to $CFLAGS

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).
- added several more files to %files section, in particular language
  files and corba IDLs

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>

- Updated to version 0.30

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Added %{prefix}/lib/gnome-libs

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>

- Integrate into gnome-libs source tree
